<?php

namespace Modules\Advertisement\Http\Requests;

use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Support\Facades\Auth;

class Comment extends FormRequest
{
    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            'id' => 'required',
        ];
    }
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */
    public function authorize()
    {
        $user_id=\Modules\Blog\Entities\Comment::where('id',$this->id)->first()->user_id;
        if($user_id == Auth::user()->id){
            return true;
        }else{
            return false;
        }
    }
}
